Thursday, November 29, 2007

PAST in Linux

Talk about good timing. In my last post, I lamented the incompatibility of the latest versions of PAST with Linux. Just this morning, Alejo C. Scarano posted a tidy little work-around on the PAST users mailing list. Many thanks to Alejo for sharing this! Here's what to do:
  1. First, you need to get the latest version of WINE (0.9.49). For this, go to and follow the instructions for your distribution.
  2. Install this latest version of WINE, following their directions.
  3. In the WINE configuration menu (winecfg), turn on "virtual desktop" under default settings for WINE, and then set PAST to run using the global settings. A more elegant way to do this is to call PAST from the command line, by using a command similar to:

    wine explorer /desktop=hl,1024x768 c:\whereeverpastis\past.exe

No comments: